##########################################################################
#                                                                        #
#           copyright (c) 2004 ITB, Humboldt-University Berlin           #
#           written by: Raphael Ritz, r.ritz@biologie.hu-berlin.de       #
#                                                                        #
##########################################################################

"""plone installer script"""

from StringIO import StringIO

# from Products.CMFCore.utils import getToolByName

from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin

from Products.PloneBook.config import PROJECTNAME, GLOBALS

def install(self):
    out = StringIO()
    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)
    print >> out, "Successfully installed %s's content types." % PROJECTNAME
    install_subskin(self, out, GLOBALS)
    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()
