#
# Testing PloneBook's install
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Testing import ZopeTestCase
from Products.CMFPlone.tests import PloneTestCase

ZopeTestCase.installProduct('Archetypes')
ZopeTestCase.installProduct('PortalTransforms')
ZopeTestCase.installProduct('MimetypesRegistry')
ZopeTestCase.installProduct('PloneBook')


class TestPloneBookInstall(PloneTestCase.PloneTestCase):

    def afterSetUp(self):
        self.qi = self.portal.portal_quickinstaller
        self.qi.installProduct('Archetypes')
        self.qi.installProduct('PloneBook')

    def testSkinInstallation(self):
        st = self.portal.portal_skins
        self.failUnless('plonebook' in st.objectIds())

    def testPloneBookInstallation(self):
        ttool = self.portal.portal_types
        self.failUnless('Plone Book' in ttool.objectIds())

    def testChapterInstallation(self):
        ttool = self.portal.portal_types
        self.failUnless('Chapter' in ttool.objectIds())

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestPloneBookInstall))
    return suite

if __name__ == '__main__':
    framework()

